:root {
    --color-primary: 224, 173, 89;
    --color-primary-alt: 240, 186, 100;

    --color-dark-900: 9, 9, 11;
    --color-dark-800: 34, 34, 36;
    --color-dark-700: 57, 57, 58;

    --color-white: 255, 255, 255;
    --color-light-100: 253, 253, 253;
    --color-light-200: 245, 245, 245;
    --color-light-300: 235, 235, 235;
    --color-light-400: 220, 220, 220;

    --color-info: 0, 188, 255;
    --color-success: 0, 201, 80;
    --color-warning: 254, 154, 0;
    --color-danger: 251, 44, 54;

    --color-font-light: 255, 255, 255;
    --color-font-dark: 9, 9, 11;

    --bs-info: rgb(var(--color-info));
    --bs-success: rgb(var(--color-success));
    --bs-warning: rgb(var(--color-warning));
    --bs-danger: rgb(var(--color-danger));
}

body {
    background-color: rgba(var(--color-dark-900), 1);
    overflow: hidden;
}

[data-control~=toolbar] {
    margin: 0;
    padding: 0;
}

.table {
    margin: 0 !important;
}

.loading-indicator > span {
    filter: grayscale(100%);
}

.spinner-container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

.thumbnail-placeholder, .thumbnail-preview {
    margin: 2px;
    background-color: rgba(var(--color-font-dark), .05);
    border: 1px solid rgba(var(--color-font-dark), .1);
    object-fit: cover;
    border-radius: 6px;
}

.thumbnail-placeholder {
    max-width: 120px;
    aspect-ratio: 1/1;
}

.thumbnail-preview {
    max-width: 200px;
    max-height: 300px;
}

.spinner {
    display: block;
    border-radius: 100%;
    border: 3px solid rgba(var(--color-font-dark), .1);
    border-top: 3px solid rgba(var(--color-primary), 1);
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

.oc-attach-loader {
    display: flex;
    width: 16px;
    height: 16px;

    &:after {
        content: '';
        display: block;
        height: inherit;
        width: inherit;
        animation: oc-rotate-loader 0.8s infinite linear;
        border: 2px solid currentColor;
        border-right-color: transparent;
        border-radius: 50%;
        opacity: .5;
    }
}

.lg-backdrop {
    z-index: 1200 !important;
}

.lg-outer {
    z-index: 2001 !important;
}

.pull-left {
    margin-right: auto;
}

.jax-progress-bar {
    background: rgba(var(--color-primary), 1);
}

.jax-flash-messages {
    & > .jax-flash-message {
        display: flex;
        position: fixed;
        z-index: 10300;
        background: rgba(var(--color-dark-900), 1);
        color: rgb(var(--color-font-light), 1);
        padding: 12px 20px;
        border-radius: 8px;
        align-items: center;
        gap: 20px;
        left: 50%;
        top: 30px;
        max-width: 90%;
        width: fit-content;
        font-size: 15px;
        transform: translateY(-20px) translateX(-50%);
        transition: all .12s ease;
        font-weight: 500;
        margin-left: 0;
        opacity: 0;

        & > .flash-loader {
            flex-shrink: 0;
            width: 20px;
            height: 20px;
            border: 3px solid;
            border-color: initial;
            border-top-color: transparent;
            border-radius: 50%;
            animation: spin 1s linear infinite;
            margin: 0;

            &:after {
                display: none;
            }
        }

        & > .flash-close {
            opacity: .6;
            padding: 0;

            &:hover {
                opacity: 1;
            }
        }

        &.info, &.success, &.warning, &.error {
            color: rgb(var(--color-font-light), 1);
        }

        &.info {
            background: rgba(var(--color-info), 1);
        }

        &.success {
            background: rgba(var(--color-success), 1);
        }

        &.warning {
            background: rgba(var(--color-warning), 1);
        }

        &.error {
            background: rgba(var(--color-danger), 1);
        }

        &.flash-show {
            transform: translateY(0) translateX(-50%);
            opacity: 1;
        }
    }
}

i, [class^="icon-"], [class*=" icon-"] {
    width: auto;
    height: auto;
    line-height: normal;
    font-size: inherit;
}

[class^="icon-"]:before, [class*=" oc-icon-"]:before, [class^=oc-icon-]:before {
    margin: 0 !important;
}

.text-warning {
    color: rgba(var(--color-warning), 1) !important;
}

.field-codeeditor.size-giant {
    min-height: 600px !important;
    flex-grow: 1;
}

@media (min-width: 991px) {
    .mobile-only {
        display: none !important;
    }
}

@media (max-width: 991px) {
    .desktop-only {
        display: none !important;
    }
}

.popup-backdrop {
    background-color: rgba(0, 0, 0, 0.2) !important;
    /* Explicitly set this as high as the popup's z-index, because popups and thus backdrops can be stacked */
    z-index: 600;
}

.popup-loading-indicator:after {
    filter: grayscale(100%);
}

.leaflet-map-pane {
    z-index: initial !important;
}

.modal-content {
    border: none !important;
    border-radius: 10px !important;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, .1), 0 5px 10px 0 rgba(0, 0, 0, .1) !important;
    overflow: hidden;
    transform-origin: initial !important;
}

.modal-dialog {
    &.size-tiny,
    &.size-400 {
        width: 90vw !important;
        max-width: 400px !important;
    }

    &.size-small,
    &.size-500 {
        width: 90vw !important;
        max-width: 500px !important;
    }

    &.size-medium,
    &.size-600 {
        width: 90vw !important;
        max-width: 600px !important;
    }

    &.size-large,
    &.size-750 {
        width: 90vw !important;
        max-width: 800px !important;
    }

    &.size-huge,
    &.size-950 {
        width: 90vw !important;
        max-width: 1100px !important;
    }

    &.size-giant,
    &.size-1200 {
        width: 90vw !important;
        max-width: 1900px !important;
    }

    .modal-dialog .loading-indicator span {
        margin-left: 10px;
    }

    & .modal-content {
        background: rgba(var(--color-light-200), 1) !important;
    }

    & .modal-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: none !important;
        border-radius: 10px 10px 0 0 !important;
        color: rgba(var(--color-font-dark), 1);

        & > .modal-title {
            color: rgba(var(--color-font-dark), 1);
            font-weight: 550;
        }

        & > button {
            flex-shrink: 0;
            order: 2;
        }

        & > .btn-close {
            margin: 0;
            padding: 0;
            width: 36px;
            height: 36px;
            border-radius: 6px;
            transition: all .12s ease;
            position: relative;
            cursor: pointer;
            outline: none;
            box-shadow: none !important;

            &:before, &:after {
                content: '';
                position: absolute;
                top: 50%;
                left: 50%;
                width: 18px;
                height: 1.5px;
                border-radius: 1px;
                background-color: currentColor;
                transform: translate(-50%, -50%) rotate(45deg);
            }

            &:after {
                transform: translate(-50%, -50%) rotate(-45deg);
            }

            &:hover {
                background-color: rgba(0, 0, 0, .05);
            }
        }
    }

    & .modal-body {
        max-height: calc(100vh - 200px);
        border: none !important;
        padding: 0;
        margin: 0 6px;

        &:has(> p) {
            background: rgba(var(--color-light-100), 1);
            border-radius: 10px !important;
            border: 1px solid rgba(0, 0, 0, .1) !important;
            padding: 15px !important;

            & > :last-child {
                margin-bottom: 0 !important;
            }
        }

        & > .tooltip-icon {
            top: 30px;
            right: 30px;
        }

        & > .form-elements {
            position: relative;
            width: 100%;
            display: flex;
            column-gap: 6px;

            & > .layout-row:first-child {
                width: 100%;
                flex-grow: 1;
            }

            &:has(.secondary-tabs) {
                & > .layout-row:first-child {
                    max-width: calc(100% - 308px);
                }

            }
        }

        & > .map {
            width: 100%;
            height: 80vh;
            border-radius: 10px 10px 5px 5px;
            border: 1px solid rgba(0, 0, 0, .1);
            overflow: hidden;
        }

        & > .modal-box {
            background: rgba(var(--color-light-100), 1);
            border: 1px solid rgba(0, 0, 0, .1);
            max-height: calc(100vh - 200px);
            overflow: hidden;
            padding: 3px;
            border-radius: 10px;

            &:has(> .form-preview) {
                overflow-y: auto;
                padding: 0;
            }

            &.padded-15 {
                padding: 15px;
            }

            & > .form-preview {
                border: none !important;
                padding: 0 !important;
            }

            & > .form-widget.layout:has(.layout-row > .form-tabless-fields) {
                display: block;
                overflow-y: auto;
                max-height: calc(100vh - 250px);

                & > .layout-row {
                    display: block;
                }
            }
        }

        & .control-tabs {
            padding-top: 0 !important;

            & .nav-tabs {
                padding-top: 0 !important;
                padding-left: 8px !important;
                box-shadow: none !important;
            }
        }

        & .primary-tabs {
            & .tab-content {
                border: 1px solid rgba(0, 0, 0, .1);
                border-radius: 10px;
            }
        }

        & .secondary-tabs {
            flex-shrink: 0;

            & .tab-content {
                border: 1px solid rgba(0, 0, 0, .1);
                background: rgba(0, 0, 0, .05);
                border-radius: 10px;
            }
        }

        & > [role=form] > .layout-row:has(> .form-tabless-fields) {
            background: rgba(var(--color-light-100), 1);
            border: 1px solid rgba(0, 0, 0, .1);
            padding: 3px;
            border-radius: 10px;
        }
    }

    & .modal-footer {
        width: 100%;
        justify-content: flex-end;
        padding: 15px 20px !important;
        align-self: end;
        gap: 10px;

        & .button-separator {
            display: none;
        }

        & > .loading-indicator-container {
            min-height: initial;
            justify-content: flex-end;
            margin: 0 !important;
            display: flex;
            gap: 10px;
            flex-grow: 1;

            & > .loading-indicator {
                background: rgba(var(--color-light-200), 1) !important;
            }
        }

        & > button, & .btn, & .btn-group {
            order: 1;
            margin: 0 !important;

            &.btn-primary {
                order: 2;
            }
        }

        & > .form-buttons {
            display: flex;
            gap: 10px;
            flex-grow: 1;
            justify-content: flex-end;
            width: auto !important;
            padding: 0 !important;
            margin: 0 !important;

            &:before, &:after {
                display: none;
            }
        }
    }

    &:not(:has(.modal-header)) {
        & .modal-body {
            margin-top: 6px !important;
        }
    }

    &:not(:has(.modal-footer)) {
        & .modal-body {
            margin-bottom: 6px !important;
        }
    }
}

.flex-grow-1 {
    flex-grow: 1;
}

.field-richeditor .editor-write {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px !important;
    overflow: hidden;
}

.fr-toolbar.fr-top {
    display: flex;
    gap: 2px;
    padding: 2px;
}

.fr-popup .fr-command.fr-btn, .fr-toolbar .fr-command.fr-btn {
    border-radius: 3px !important;
    margin: 0 !important;
}

.fr-box > .fr-wrapper {
    height: fit-content !important;
    max-height: 500px;
    min-height: 100px;
}

.fr-box.fr-fullscreen > .fr-wrapper {
    max-height: initial;
    height: 100% !important;
}

.uploader-control-container {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px !important;
    display: flex;
    flex-direction: column;
    padding: 6px;
    gap: 6px;

    & > .uploader-control-toolbar {
        border: none !important;
        padding: 0 !important;
        gap: 6px;
        flex-shrink: 0;
    }

    & > .upload-files-container {
        border: 1px solid rgba(0, 0, 0, .1);
        background: rgba(0, 0, 0, .05);
        border-radius: 6px 6px 3px 3px;
        flex-grow: 1;
    }
}

.field-fileupload:not(.is-populated) {
    & .upload-files-container {
        background: rgba(0, 0, 0, .03);
        margin: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 20px;

        &:before {
            content: "Of sleep bestanden naar dit vak.";
            text-align: center;
            opacity: 0.65;
            font-size: 14px;
        }
    }

    &.is-single .upload-files-container:before {
        content: "Of sleep een bestand naar dit vak.";
    }
}

.field-fileupload .upload-object:last-child {
    border-bottom: none;
    margin-bottom: 0;
}

.btn-group {
    box-shadow: none !important;
    border-radius: 6px;

    & > .btn {
        display: inline-flex !important;
        border: none !important;
        min-height: 0;
    }

    & > button:only-of-type {
        border-top-right-radius: 6px !important;
        border-bottom-right-radius: 6px !important;
    }

    & > .btn:not(:first-child) {
        border-left: 1px solid rgba(255, 255, 255, .2) !important;
    }
}

.hide-tabs .nav-tabs, .hide-tabs .nav-tabs > li,
.form-elements > .layout-row > .secondary-tabs .nav-tabs,
.form-elements > .layout-row > .secondary-tabs .nav-tabs > li {
    display: none !important;
}

button {
    background: transparent;
    cursor: pointer;
}

.btn {
    text-transform: none;
    box-shadow: none;
    display: inline-flex;
    column-gap: 10px;
    align-items: center;
    justify-content: center;
    transition: all .12s ease !important;
    line-height: initial !important;
    border-radius: 6px;
    min-width: auto;
    font-weight: 500;

    & i, & [class^="icon-"], & [class*=" icon-"] {
        color: inherit !important;
    }

    & > not([class*="icon-"]):empty {
        display: none;
    }

    &.btn-icon-only {
        column-gap: 0;
    }

    &:not(:disabled):not(.disabled):active {
        box-shadow: none !important;
    }

    &.btn-default {
        background: rgba(83, 83, 84, 1) !important;
        color: rgb(255, 255, 255) !important;

        &:hover {
            background: rgba(108, 108, 110, 1) !important;
        }

        &:not(:disabled):not(.disabled):active {
            background: rgba(108, 108, 110, 1) !important;
        }
    }

    &.btn-secondary {
        background: rgba(24, 24, 27, 1) !important;
        font-weight: 400;

        &:hover {
            background: rgba(63, 63, 71, 1) !important;
        }

        &:not(:disabled):not(.disabled):active {
            background: rgba(63, 63, 71, 1) !important;
        }
    }

    &.btn-primary {
        background: rgba(var(--color-primary), 1) !important;
        color: rgba(var(--color-font-dark), 1) !important;

        &:hover {
            background: rgba(var(--color-primary-alt), 1) !important;
        }

        &:not(:disabled):not(.disabled):active {
            background: rgba(var(--color-primary-alt), 1) !important;
        }
    }

    &.btn-link {
        background: rgba(var(--color-white), 1);
        color: rgba(var(--color-font-dark), 1) !important;
        border: 1px solid rgba(var(--color-font-dark), .15) !important;

        &:hover {
            background: rgba(var(--color-font-dark), .05);
            color: rgba(var(--color-font-dark), 1) !important;
            border: 1px solid rgba(var(--color-font-dark), .4) !important;
        }
    }

    &.btn-warning {
        background: rgba(254, 154, 0, 1) !important;

        &:hover {
            background: rgba(255, 185, 0, 1) !important;
        }
    }

    &.btn-success {
        background: rgba(0, 201, 80, 1) !important;

        &:hover {
            background: rgba(5, 223, 114, 1) !important;
        }
    }

    &.btn-danger {
        color: rgba(255, 255, 255, 1) !important;
        background: rgba(var(--color-danger), 1) !important;

        &:hover {
            background: rgba(255, 100, 103, 1) !important;
        }
    }

    &.btn-full {
        width: 100%;
    }

    &.btn-flex {
        display: flex !important;
    }

    &:disabled, &[disabled], &.disabled {
        background: rgba(83, 83, 84, .05) !important;
        color: rgba(var(--color-font-dark), .3) !important;

        & > i {
            opacity: 1 !important;
        }
    }

    & > i {
        color: inherit !important;
    }
}

.btn-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 36px !important;
    padding: 0 0.6rem !important;
    height: 36px !important;
    border-radius: 6px !important;
    transition: all .12s ease;

    &:before {
        color: inherit !important;
    }

    &:hover {
        background: rgba(0, 0, 0, .05);
    }

    &.danger {
        color: rgba(var(--color-danger), 1) !important;

        &:hover {
            background: rgba(var(--color-danger), .1);
        }
    }
}

.btn-text {
    padding: 0 !important;
    display: flex;
    align-items: center;
}

.tooltip-icon {
    display: inline-block;
    height: 16px;
    width: 16px;
    position: absolute;
    top: 12px;
    right: 10px;
    font-size: 14px;
    margin: 0 !important;

    & > i {
        height: 14px;
        width: 14px;
        margin: 1px;
    }
}

.input-group {
    & .input-group-text {
        color: rgba(var(--color-font-dark), .65) !important;
        background: rgba(0, 0, 0, .05) !important;
        border: 1px solid rgba(0, 0, 0, .15) !important;
        border-radius: 6px;
    }

    & > .input-group-prepend {
        margin: 0 !important;
    }

    & > .input-group-prepend > .input-group-text {
        padding: 0 12px;
        border-right: none !important;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    & > .input-group-append > .input-group-text {
        padding: 0 12px;
        border-left: none !important;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

    & > .input-group-prepend > button {
        border-right: none !important;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    & > .input-group-append > button {
        border-left: none !important;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

    & > input {
        margin: 0 !important;
    }
}

.input-group.button-right {
    & input, & .select2-selection {
        border-top-right-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
    }
}

.field-section {
    & > h4 {
        font-weight: 500;
    }
}

.form-check {
    padding-left: 0;
}

.form-group {
    padding: 10px;
    margin-bottom: 0;

    & label {
        color: rgba(var(--color-font-dark), 1);
        font-weight: normal;
    }

    &.no-padding .tooltip-icon {
        right: 0;
        top: 0;
    }

    &.no-padding label {
        margin-bottom: 7px;
    }

    &:has(.tooltip-icon) label {
        padding-right: 20px !important;
    }

    &:has(.field-codeeditor:only-child) {
        display: flex;
        flex-grow: 1;
    }

    &.is-required > label:after {
        margin-left: 0;
    }

    & > .nested-form.is-paneled {
        border-radius: 6px;
        padding: 0 !important;
        overflow: hidden;

        & .control-tabs.primary-tabs .nav-tabs {
            margin: 0 !important;
        }
    }

    & > embed {
        border-radius: 6px;
        overflow: hidden;
    }

    & > .leaflet-container {
        border-radius: 6px;
        border: 1px solid rgba(0, 0, 0, .15);
    }
}

.form-group:has(> .field-repeater) {
    z-index: calc(calc(sibling-count() - sibling-index() + 1));
}

.form-group:has(> .field-colorpicker) {
    z-index: calc(calc(sibling-count() - sibling-index() + 1));
}

.form-group.number-field > .form-control {
    text-align: left;
}

.form-group.checkbox-field > .form-check {
    margin-bottom: 0;
}

.form-check-input {
    box-shadow: none !important;
    background: rgba(var(--color-white), 1) !important;
    border: 1px solid rgba(0, 0, 0, .15) !important;
    transition: all .15s ease !important;
    position: relative;
    cursor: pointer;
    margin: 0 !important;
    opacity: 1;
    inset: initial !important;

    &:active {
        filter: none;
    }

    &:hover {
        border: 1px solid rgba(0, 0, 0, .5) !important;
    }

    &:checked {
        background: rgba(var(--color-dark-900), 1) !important;
        border: 1px solid rgba(var(--color-dark-900), 1) !important;
    }


}

.form-switch {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 4px;

    & > .form-check-input {
        width: 44px;
        height: 24px;
        border-radius: 15px;
        order: 1;

        &:before {
            position: absolute;
            content: '';
            top: 50%;
            left: 2px;
            transform: translateY(-50%);
            height: 18px;
            width: 18px;
            background: rgba(var(--color-dark-900), .3);
            transition: all .14s ease;
            border-radius: 9px;
        }

        &:active:before {
            width: 26px;
            height: 16px;
        }
        &:checked:before {
            background: rgba(var(--color-white), 1);
            left: calc(100% - 20px);
        }
        &:checked:active:before {
            left: calc(100% - 28px);
            height: 16px;
        }
    }

    & > .tooltip-icon {
        top: 11px;
    }
}

.form-check:not(.form-switch) {
    position: relative;
    align-items: center;
    margin-bottom: 0;
    display: flex;
    gap: 10px;

    & > .form-check-label {
        padding: 0 !important;
        margin: 0 !important;
        min-height: initial;
        user-select: none;
        font-size: 14px;
    }

    & > .tooltip-icon {
        top: 2px;
    }
}

*:not(.form-switch, .form-radio, .mode-radio .item-value) {
    & > .form-check-input {
        border-radius: 4px;
        border: none !important;
        position: relative;
        height: 18px;
        width: 18px;
        box-shadow: inset 0 0 0 1px rgba(var(--color-dark-900), .15) !important;
        overflow: hidden;

        &:after {
            position: absolute;
            content: '';
            top: 5px;
            left: 4px;
            width: 10px;
            height: 5px;
            transform: rotate(-45deg) scale(20%);
            border-bottom: 2px solid rgba(var(--color-white), 1);
            border-left: 2px solid rgba(var(--color-white), 1);
            opacity: 0;
            transition: all .15s ease;
        }

        &:hover {
            box-shadow: inset 0 0 0 1px rgba(var(--color-dark-900), .5) !important;
        }

        &:checked {
            box-shadow: inset 0 0 0 10px rgba(var(--color-dark-900), 1) !important;
        }

        &:checked:after {
            transform: rotate(-45deg) scale(100%);
            opacity: 1;
        }
    }
}

.radio-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid rgba(0, 0, 0, .15) !important;
    background: rgba(var(--color-white), 1) !important;
    border-radius: 6px !important;
    overflow: hidden;
    padding: 10px;
}

.form-radio, .mode-radio .item-value {
    & > .form-check-input {
        border-radius: 100%;
        border: none !important;
        position: relative;
        height: 18px;
        width: 18px;
        box-shadow: inset 0 0 0 1px rgba(var(--color-dark-900), .15) !important;
        overflow: hidden;

        &:after {
            position: absolute;
            content: '';
            inset: 4px;
            width: 10px;
            height: 10px;
            transform: scale(0%);
            transition: all .15s ease;
            border-radius: 100%;
            background: rgba(var(--color-dark-900), 1);
        }

        &:hover {
            box-shadow: inset 0 0 0 1px rgba(var(--color-dark-900), .5) !important;
        }

        &:checked {
            background: transparent !important;
            box-shadow: inset 0 0 0 2px rgba(var(--color-dark-900), 1) !important;
        }

        &:checked:after {
            transform: scale(100%);
        }

        &[data-radio-color=green] {
            &:checked {
                box-shadow: inset 0 0 0 2px rgba(var(--color-success), 1) !important;
            }

            &:after {
                background: rgba(var(--color-success), 1);
            }
        }

        &[data-radio-color=red] {
            &:checked {
                box-shadow: inset 0 0 0 2px rgba(var(--color-danger), 1) !important;
            }

            &:after {
                background: rgba(var(--color-danger), 1);
            }
        }
    }
}

.scope-checkbox, .filter-scope.form-check {
    display: flex !important;
    align-items: center;
    gap: 6px;
}

input[type=checkbox], input[type=radio] {
    appearance: none;
}

input[type=email].form-control,
input[type=text].form-control,
input[type=search].form-control,
input[type=url].form-control,
input[type=tel].form-control,
input[type=password].form-control,
input[type=number].form-control,
input[type=datetime-local].form-control,
input[type=date].form-control,
input[type=month].form-control,
input[type=week].form-control,
input[type=time].form-control,
textarea.form-control {
    background: rgba(var(--color-white), 1) !important;
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px !important;
    transition: all .15s ease !important;
    box-shadow: none !important;
    line-height: initial !important;
    padding: 10px !important;
    height: auto !important;
    font-size: 14px !important;

    &:hover {
        border: 1px solid rgba(0, 0, 0, .5) !important;
    }

    &:focus {
        border: 1px solid rgba(0, 0, 0, 1) !important;
    }
}

textarea.form-control {
    line-height: 1.5 !important;
}

.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control,
.form-group-preview input.form-control,
.form-group-preview textarea.form-control,
.form-group-preview span.form-control,
.form-group-preview div.form-control {
    color: rgba(var(--color-font-dark), 1) !important;
    background: rgba(var(--color-white), 1) !important;
    border: 1px solid rgba(0, 0, 0, .15) !important;
    line-height: initial !important;
    box-shadow: none !important;
    border-radius: 6px !important;
    padding: 10px !important;
    height: auto !important;
    cursor: not-allowed;
    opacity: .5;
}

.input-group {
    &:has(.input-group-prepend + input.form-control) > input.form-control {
        border-top-left-radius: 0 !important;
        border-bottom-left-radius: 0 !important;
    }
    &:has(input.form-control + .input-group-append) > input.form-control {
        border-top-right-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
    }
}

.control-balloon-selector > ul {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px;
    padding: 3px !important;
    display: flex !important;
    flex-wrap: wrap;
    gap: 3px;

    & > li {
        flex-grow: 1;
        text-align: center;
        margin: 0 !important;
        border-radius: 3px !important;
        border: none !important;
        background: transparent !important;
        color: rgba(var(--color-dark), 1) !important;
        transition: all .12s ease;
        font-size: 14px !important;

        &.active {
            background: rgba(var(--color-primary), 1) !important;
            font-weight: 500;
        }
    }
}

.control-filter-popover .control-balloon-selector > ul {
    display: block !important;
}

.control-simplelist {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    margin-bottom: 0;
    border-radius: 6px;
    overflow-y: auto;
    max-height: 300px;
    padding: 10px;
    width: 100%;

    & + .form-group {
        margin-top: 20px;
    }

    & > ul {
        max-width: calc(100% - 14px);
        margin-bottom: 0;
    }

    &.with-checkboxes li div.form-check {
        display: flex !important;
        align-items: center;
        gap: 10px;
    }
}

.field-checkboxlist {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    background: rgba(var(--color-white), 1) !important;
    border-radius: 6px !important;
    overflow: hidden;
    width: 100%;

    & > .checkboxlist-controls {
        display: flex;
        justify-content: flex-start;
        background: rgba(var(--color-light-200), 1) !important;
        border: none !important;
        border-bottom: 1px solid rgba(0, 0, 0, .15) !important;
        padding: 6px;
        gap: 6px;

        & > a {
            transition: all .12s ease;
        }
    }

    & > .field-checkboxlist-inner {
        border: none !important;
        display: flex;
        flex-direction: column;
        padding: 10px !important;
        gap: 10px;
    }

    &.is-scrollable {
        & > .field-checkboxlist-inner {
            gap: 0;

            & .field-checkboxlist-scrollable {
                overflow-y: auto;
                display: flex;
                flex-direction: column;
                padding: 10px 2px 0;
                gap: 10px;
            }

            & .form-check {
                margin: 0 !important;
                min-height: auto !important;
            }
        }
    }
}

.field-colorpicker ul.picker-options {
    margin: 0 !important;
    display: grid;
    grid-template-columns: repeat(auto-fill, 30px);
    gap: 10px;

    & > li {
        margin: 0 !important;
        padding: 0 !important;
        border-radius: 100% !important;
        transition: all .12s ease;
        display: block;
        height: 28px;
        width: 28px;

        &.active {
            box-shadow: 0 0 0 2px rgba(var(--color-dark-900), 1) !important;
        }

        &:hover {
            box-shadow: 0 0 0 1px rgba(var(--color-dark-900), 1) !important;
        }

        & > span {
            border: 1px solid rgba(0, 0, 0, .1) !important;
            height: 28px !important;
            width: 28px !important;
        }

        &.custom-color:before {
            bottom: 0 !important;
            right: 0 !important;
            border-radius: 2px !important;
            background: rgba(var(--color-dark-900), 1) !important;
            color: rgba(var(--color-font-light), 1) !important;
            transform: rotate(180deg);
        }
    }

    .sp-container {
        box-shadow: 0 0 0 1px rgba(0,0,0,.1),0 5px 10px 0 rgba(0,0,0,.1) !important;
        font-family: inherit !important;
        border-radius: 10px;

        & .sp-clear {
            transform: scale(0.8);
            border: none;
        }

        & .sp-input {
            background-color: rgba(var(--color-light-200), 1) !important;
            border: 1px solid rgba(0, 0, 0, .15) !important;
            border-radius: 6px;
        }
    }
}

.field-repeater.repeater-mode-accordion.is-singular>ul>li.field-repeater-item:not(.collapsed)>.repeater-header {
    padding: 5px !important;
    align-items: center;
}

.repeater-item-checkbox {
    margin: 0 !important;
    width: 18px !important;
}

.field-with-icon {
    background: rgba(var(--color-white), 1);
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .15);
    border-radius: 6px;
    transition: all .12s ease;
    padding: 0 14px;
    height: 36px;
    align-items: center;
    display: flex;
    gap: 12px;

    & > i {
        width: 16px;
    }

    & > input {
        padding: 0;
        width: 100%;
    }

    &:hover {
        box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .5);
    }

    &:focus-within {
        box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 1);
    }
}

.input-field {
    width: 100%;
    padding: 6px 10px;
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px;
    background: rgba(var(--color-white), 1);
    color: inherit;
    line-height: 1.5 !important;
    transition: all .12s ease;

    &:hover {
        border: 1px solid rgba(0, 0, 0, .4) !important;
    }

    &:focus {
        background: rgba(var(--color-white), 1);
        border: 1px solid rgba(0, 0, 0, .8) !important;
    }
}

.import-db-columns, .import-file-columns {
    border: 1px solid rgba(0, 0, 0, .15) !important;
    border-radius: 6px;
}

.state-indicator {
    background: rgba(var(--color-dark-900), .2);
    border-radius: 20px;
    display: inline-flex;
    align-items: center;
    gap: 5px;
    padding: 1px 6px;

    &.enabled {
        background: rgba(var(--color-success), .1);
        color: rgba(var(--color-success), 1);
    }

    &.disabled {
        background: rgba(var(--color-danger), .1);
        color: rgba(var(--color-danger), 1);
    }
}

.relation-toolbar .control-toolbar .btn, .control-toolbar .btn {
    display: inline-flex;
    color: initial;
}

.dropdown-menu, .control-dropdown.dropdown-menu {
    background: rgba(var(--color-white), 1) !important;
    border-radius: 10px !important;
    padding: 5px !important;
    border: none !important;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, .1), 0 5px 10px 0 rgba(0, 0, 0, .1) !important;
    z-index: 150;

    &:not(:has(li), :has(span)) {
        display: none;
    }

    & > li.divider {
        margin: 5px 0 !important;
        border-top: 1px solid rgba(0, 0, 0, .08);

        &:last-child, &:first-child, & + li.divider {
            display: none;
        }
    }

    & > li > a, & > a {
        color: rgba(var(--color-font-dark), 1);
        transition: all .12s ease;
        border-radius: 5px;
        display: flex;
        align-items: center;
        column-gap: 12px;
        padding: 0 14px !important;
        height: 40px;

        &:before {
            position: relative !important;
            top: initial !important;
            left: initial !important;
            color: inherit !important;
            margin: 0 !important;
            width: 18px !important;
            flex-shrink: 0;
        }

        &:hover {
            background: rgba(var(--color-light-300), .65) !important;
        }

        & > i {
            color: inherit !important;
        }

        &[class*="oc-icon-trash"], &[data-repeater-remove] {
            color: rgba(var(--color-danger), 1) !important;

            &:hover {
                background: rgba(var(--color-danger), .1) !important;
            }
        }
    }
}

table.table.data thead td.sort-asc, table.table.data thead th.sort-asc,
table.table.data thead td.sort-desc, table.table.data thead th.sort-desc {
    & > a:after, & > span:after {
        margin-left: auto !important;
    }
}

table.table.data thead th.has-tooltip, table.table.data thead th.sort-desc, table.table.data thead th.sort-asc {
    & > a, & > span {
        padding-left: 15px !important;
        display: inline-flex;
        align-items: center;
        gap: 8px;

        & > .list-tooltip {
            left: initial;
            float: none;
        }
    }
}

table.table.data tr td > textarea {
    resize: both;
}

.badge-pill {
    font-weight: 550;
    font-size: 12px !important;
    padding: 0 10px !important;
    height: 20px;
    display: inline-flex;
    align-items: center;

    &.badge-primary {
        background: rgba(var(--color-primary), 1) !important;
        color: rgba(var(--color-font-dark), 1) !important;
    }

    &.badge-secondary {
        background: var(--color-primary) !important;
        color: rgba(9, 9, 11, 1) !important;
    }
}

.list-group-item {
    background: transparent !important;
    padding: 0;
}

.callout {
    border-radius: 6px;
    border: 1px solid rgba(0, 0, 0, .1);
    overflow: hidden;
    margin: 0;
    padding: 0;

    &.callout-warning {
        background: rgba(var(--color-warning), .2);

        & > .header:before {
            color: rgba(var(--color-warning), 1);
        }
    }

    &.callout-danger {
        background: rgba(var(--color-danger), .2);

        & > .header:before {
            color: rgba(var(--color-danger), 1);
        }
    }

    &.callout-info {
        background: rgba(var(--color-info), .2);

        & > .header:before {
            color: rgba(var(--color-info), 1);
        }
    }

    &.callout-success {
        background: rgba(var(--color-success), .2);

        & > .header:before {
            color: rgba(var(--color-success), 1);
        }
    }

    & > .header, & > .content {
        background: transparent !important;
    }
}
